/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <utility>

#include "idlc/type.h"
#include "idlc/block.h"

namespace tidl {

Block::Block(std::string id, Block::Type type,
             std::string comments, unsigned line)
    : id_(std::move(id)), type_(type), comments_(std::move(comments)),
      line_(line) {}

const std::string& Block::GetID() const {
  return id_;
}

const Block::Type& Block::GetType() const {
  return type_;
}

const unsigned Block::GetLine() const {
  return line_;
}

const std::string& Block::GetComments() const {
  return comments_;
}

}  // namespace tidl
