/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef IDLC_STRUCTURE_H_
#define IDLC_STRUCTURE_H_

#include <string>
#include <memory>

#include "idlc/block.h"
#include "idlc/element.h"

namespace tidl {

class Structure : public Block {
 public:
  Structure(std::string id, Elements* elms, std::string comments,
            unsigned line);

  const Elements& GetElements() const;

 private:
  std::unique_ptr<Elements> elms_;
};

}  // namespace tidl

#endif  // IDLC_STRUCTURE_H_

